
From: Herbert Xu <herbert@gondor.apana.org.au>

RADEON is selecting I2C_ALGOBIT but as kconfig currently does not propagate
selects up the dependency chain (that is according to Roman), this can
leave I2C as m while I2C_ALGOBIT is y.


---

 drivers/video/Kconfig |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/video/Kconfig~radeon-config-fix-2 drivers/video/Kconfig
--- 25/drivers/video/Kconfig~radeon-config-fix-2	2004-02-25 12:46:30.000000000 -0800
+++ 25-akpm/drivers/video/Kconfig	2004-02-25 12:46:30.000000000 -0800
@@ -462,7 +462,6 @@ config FB_I810_GTF
 config FB_MATROX
 	tristate "Matrox acceleration"
 	depends on FB && PCI
-	select I2C_ALGOBIT if FB_MATROX_I2C
 	---help---
 	  Say Y here if you have a Matrox Millennium, Matrox Millennium II,
 	  Matrox Mystique, Matrox Mystique 220, Matrox Productiva G100, Matrox
@@ -550,6 +549,7 @@ config FB_MATROX_G100
 config FB_MATROX_I2C
 	tristate "Matrox I2C support"
 	depends on FB_MATROX && I2C
+	select I2C_ALGOBIT
 	---help---
 	  This drivers creates I2C buses which are needed for accessing the
 	  DDC (I2C) bus present on all Matroxes, an I2C bus which
@@ -628,6 +628,7 @@ config FB_RADEON
 	tristate "ATI Radeon display support"
 	depends on FB && PCI
 	select I2C_ALGOBIT if FB_RADEON_I2C
+	select I2C if FB_RADEON_I2C
 	help
 	  Choose this option if you want to use an ATI Radeon graphics card as
 	  a framebuffer device.  There are both PCI and AGP versions.  You
@@ -645,7 +646,7 @@ config FB_RADEON
 
 config FB_RADEON_I2C
 	bool "DDC/I2C for ATI Radeon support"
-	depends on FB_RADEON && I2C
+	depends on FB_RADEON
 	default y
 	help
 	  Say Y here if you want DDC/I2C support for your Radeon board. 

_
